> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Return

> Send information about a received return.



## OpenAPI

````yaml /openapi/scx/seller.json post /v1/seller/order/return
openapi: 3.0.2
info:
  title: SCX Seller API
  version: '1.0'
  x-logo:
    url: https://scx-sandbox.ui.jtl-software.com/docs/scx.png
  description: |
    SCX Seller API
servers:
  - url: https://scx-sbx.api.jtl-software.com
    description: Sandbox Environment
security: []
tags:
  - name: Account
    description: Seller account management
  - name: Offer
    description: Seller offer management
  - name: Events
    description: Channel and system events for the seller
  - name: Meta
    description: Channel meta information (categories, attributes, rules)
  - name: Order
    description: Order processing, payments, shipping, cancellations and refunds
  - name: Report
    description: Seller report generation and retrieval
  - name: Ticket
    description: Channel ticket management
paths:
  /v1/seller/order/return:
    post:
      tags:
        - Order
      summary: Return
      description: Send information about a received return.
      operationId: CreateReturnReceived
      requestBody:
        $ref: '#/components/requestBodies/ReturnReceived'
      responses:
        '201':
          description: Return information received
        '401':
          $ref: '#/components/responses/AccessForbidden'
        '404':
          $ref: '#/components/responses/ResourceNotFound'
        '429':
          $ref: '#/components/responses/RequestThrottled'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - SellerAuth: []
components:
  requestBodies:
    ReturnReceived:
      description: >-
        Notification that a return shipment has been received and inspected by
        the seller.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SellerReturnReceived'
  responses:
    AccessForbidden:
      description: Access forbidden, invalid or unknown Token was used.
    ResourceNotFound:
      description: Requested resource not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: GEN404
                message: Not found
                severity: error
                hint: null
    RequestThrottled:
      description: User has send to many requests
    ServerError:
      description: Unexpected Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: GEN500
                message: Internal Server Error
                severity: error
                hint: null
  schemas:
    SellerReturnReceived:
      description: >-
        Seller notification that a return shipment has been received and
        inspected, scoped to a channel.
      type: object
      required:
        - channel
      allOf:
        - type: object
          properties:
            channel:
              $ref: '#/components/schemas/Channel'
        - $ref: '#/components/schemas/ReturnReceived'
    ErrorResponseList:
      type: object
      properties:
        errorList:
          nullable: true
          type: array
          example:
            - code: GEN700
              message: Seller SELLER_4711 does not exist on channel kaufland.
              severity: error
              hint: i9n-order22
          items:
            title: Error
            type: object
            properties:
              code:
                type: string
                example: GEN700
              message:
                type: string
                example: Seller SELLER_4711 does not exist on channel kaufland.
              severity:
                type: string
                enum:
                  - error
                  - warning
                  - info
                default: error
              hint:
                type: string
                nullable: true
                example: i9n-order22
    Channel:
      description: |
        This is the unique Channel name.
      type: string
      example: MYBESTDEALCOMDE
      pattern: ^\w{5,15}$
    ReturnReceived:
      type: object
      required:
        - sellerId
        - orderId
        - sellerReturnId
        - orderItem
      properties:
        sellerId:
          $ref: '#/components/schemas/SellerId'
        orderId:
          $ref: '#/components/schemas/ChannelOrderId'
        sellerReturnId:
          $ref: '#/components/schemas/SellerReturnId'
        channelReturnId:
          $ref: '#/components/schemas/ChannelReturnId'
        orderItem:
          type: array
          minItems: 1
          items:
            $ref: '#/components/schemas/ReturnReceivedOrderItem'
    SellerId:
      description: >
        A unique Id identify a Seller on a specific SalesChannel. The SellerId
        is generated

        from the Channel itself during the Seller SignUp Process.
      type: string
      example: '4711'
      pattern: ^\w{1,50}$
    ChannelOrderId:
      type: string
      minLength: 1
      maxLength: 150
      example: 43523-43432-43532
    SellerReturnId:
      type: string
      description: |
        Id used to identify an order return on Seller side.
      example: '123'
    ChannelReturnId:
      type: string
      description: |
        Id used to identify an order return on Marketplace.
      example: R12343
    ReturnReceivedOrderItem:
      type: object
      required:
        - condition
        - acceptReturn
        - requireReturnShipping
        - orderItemId
        - quantity
        - returnReason
      properties:
        orderItemId:
          $ref: '#/components/schemas/OrderItemId'
        quantity:
          type: string
          example: '1.0'
        returnReason:
          $ref: '#/components/schemas/ReturnReason'
        note:
          type: string
          maxLength: 1024
        condition:
          $ref: '#/components/schemas/Condition'
        acceptReturn:
          type: boolean
          example: true
        requireReturnShipping:
          type: boolean
          example: true
          default: true
    OrderItemId:
      description: >-
        A unique identifier to identify a order item. This ID is provided by the
        Channel itself an should be used to identify a order item id.
      type: string
      example: '5437233'
      format: string
      minLength: 1
      maxLength: 50
    ReturnReason:
      type: string
      enum:
        - NO_REASON
        - DEFECT
        - WRONG_ITEM
        - WRONG_SIZE
        - TOO_LATE
        - BAD_QUALITY
    Condition:
      type: string
      enum:
        - ORIGINAL_PACKAGING
        - MINT_CONDITION
        - SLIGHTLY_USED
        - HEAVILY_USED
        - DAMAGED
        - INCOMPLETE_DELIVERY
        - FRAUD
  securitySchemes:
    SellerAuth:
      description: >
        Bearer JWT issued to a seller after they sign up for a JTL-Scx
        subscription via the JTL

        Customer Center. Usage format: `Bearer <JWT>`.
      type: http
      scheme: bearer
      bearerFormat: JWT

````